udppm(8)

NAME
udppm - UDP port mapper

SYNOPSIS
pop3p [-ds] [-l[[@]logfile]] [-iinternal_ip] [-eexternal_ip] local_port remote_host remote_port

DESCRIPTION
udppm forwards datagrams from local to remote UDP port

OPTIONS

-I  Inetd mode. Standalone service only.

-d  Daemonise. Detach service from console and run in the background.

-t  Be silenT. Do not log start/stop/accept error records.

-e  External address. IP address of interface proxy should initiate datagrams from. By default system will deside which address to use in accordance with routing table.

-i  Internal address. IP address proxy accepts datagrams to. By default connection to any interface is accepted. It's usually unsafe.

-l  Log. By default logging is to stdout. If logfile is specified logging is to file. Under Unix, if '@' preceeds logfile, syslog is used for logging.

-s  Single packet. By default only one client can use udppm service, but if -s is specified only one packet will be forwarded between client and server. It allows to share service between multiple clients for single packet services (for example name lookups).

-S  Increase or decrease stack size. You may want to try something like -S8192 if you experience 3proxy crashes.

ARGUMENTS

local_port
    - port udppm accepts datagrams

remote_host
    - IP address of the host datagrams are forwarded to

remote_port
    - remote port datagrams are forwarded to

CLIENTS
Any UDP based application can be used as a client. Use internal_ip and local_port as a destination in client application. All datagrams are forwarded to remote_host:remote_port

BUGS
Report all bugs to 3proxy@3proxy.ru

SEE ALSO
3proxy(8), proxy(8), ftppr(8), socks(8), pop3p(8), udppm(8), syslogd(8),
https://3proxy.org/

AUTHORS
3proxy is designed by Vladimir 3APA3A Dubrovin (3proxy@3proxy.ru)